## org.eclipse.datatools.sqltools.result.core
Interface IResultManagerListener

All Known Implementing Classes:
  HistoryIndexListener, ResultsViewControl, ResultsViewUIPlugin.ResultViewControlListener

    public interface IResultManagerListener

Notified when the `IResultInstance` related event occurs.

Author:
  Dafan Yang

Method Summary
`void` `allResultInstancesRemoved()` Will be invoked when all instances are removed
`void` `parametersShow(IResultInstance instance, java.util.List params)` Will be invoked when showing the parameters in a result instance
`void` `resultInstanceAppended(IResultInstance instance, ResultItem result, int index)` Will be invoked when the instance is appended
`void` `resultInstanceCreated(IResultInstance instance)` Will be invoked when a new instance is created
`void` `resultInstanceRemoved(IResultInstance instance)` Will be invoked when an instance is removed
`void` `resultInstanceReset(IResultInstance instance)` Will be invoked when an instance if reseted
`void` `resultInstancesRemoved(IResultInstance[] instances)` Will be invoked when an arry of instances is removed
`void` `resultInstanceStatusUpdated(IResultInstance instance)` Will be invoked when the status of the instance is changed

Method Detail

### resultInstanceCreated

    void resultInstanceCreated(IResultInstance instance)

  Will be invoked when a new instance is created

  Parameters:
    `instance` - the result instance

### resultInstanceRemoved

    void resultInstanceRemoved(IResultInstance instance)

  Will be invoked when an instance is removed

  Parameters:
    `instance` - the result instance

### resultInstancesRemoved

    void resultInstancesRemoved(IResultInstance[] instances)

  Will be invoked when an arry of instances is removed

  Parameters:
    `instances` - the result instances

### resultInstanceAppended

    void resultInstanceAppended(IResultInstance instance,
                                ResultItem result,
                                int index)

  Will be invoked when the instance is appended

  Parameters:
    `instance` - the result instance
    `result` - the result item
    `index` - the index of the result item

### allResultInstancesRemoved

    void allResultInstancesRemoved()

  Will be invoked when all instances are removed

### resultInstanceStatusUpdated

    void resultInstanceStatusUpdated(IResultInstance instance)

  Will be invoked when the status of the instance is changed

  Parameters:
    `instance` - the result instance

### resultInstanceReset

    void resultInstanceReset(IResultInstance instance)

  Will be invoked when an instance if reseted

  Parameters:
    `instance` - the result instance

### parametersShow

    void parametersShow(IResultInstance instance,
                        java.util.List params)

  Will be invoked when showing the parameters in a result instance

  Parameters:
    `instance` - the result instance
    `params` - the `Parameter` instances list
  See Also:
    `Parameter`